Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456205 - Review Request: disktype - Disk and disk image format analyzer
Summary: Review Request: disktype - Disk and disk image format analyzer
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-22 07:48 UTC by Rahul Sundaram
Modified: 2013-03-13 05:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-23 05:59:49 UTC


Attachments (Terms of Use)

Description Rahul Sundaram 2008-07-22 07:48:25 UTC
Spec URL: http://sundaram.fedorapeople.org/packages/disktype.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/disktype-9-1.fc9.src.rpm

Description: 

The purpose of disktype is to detect the content format of a disk or
disk image. It knows about common file systems, partition tables, and
boot codes.

Comment 1 Parag AN(पराग) 2008-07-23 04:52:43 UTC
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=733104
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
25a673f162b9c01cd565109202559489  disktype-9.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
- BuildRequires are NOT proper. You should remove BR:glibc-kernheaders
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ package installed successfully.

SHOULD:
   should remove BR:glibc-kernheaders
APPROVED.

Comment 2 Rahul Sundaram 2008-07-23 05:59:49 UTC
We just realized, this package already exists in the repo. My bad. Sorry for
wasting your time, Parag. 


Note You need to log in before you can comment on or make changes to this bug.